> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pocketflows.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create or update campaign customer metadata



## OpenAPI

````yaml /openapi.json post /campaigns/{id}/customer_metadatas/{customer_id}
openapi: 3.0.3
info:
  title: Pocketflows API
  version: 0.0.4
servers:
  - url: https://api.pocketflows.com
    description: Production server
security:
  - HttpBasicAuth: []
paths:
  /campaigns/{id}/customer_metadatas/{customer_id}:
    post:
      tags:
        - Campaign customer metadatas
      summary: Create or update campaign customer metadata
      parameters:
        - in: path
          name: id
          schema:
            type: string
          description: The ID of the campaign
          required: true
        - in: path
          name: customer_id
          schema:
            type: string
          description: The ID of the customer
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                metadata:
                  type: object
                  additionalProperties: true
                  description: The metadata to associate with this campaign-customer pair
              required:
                - metadata
      responses:
        '200':
          description: The created or updated `CampaignCustomerMetadata` object
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CampaignCustomerMetadata'
components:
  schemas:
    CampaignCustomerMetadata:
      type: object
      properties:
        customer:
          type: string
          description: The ID of the customer
        metadata:
          type: object
          additionalProperties: true
          description: Arbitrary metadata associated with this campaign-customer pair
        created_at:
          type: string
          description: The creation timestamp
        updated_at:
          type: string
          description: The last update timestamp
      required:
        - customer
        - metadata
        - created_at
        - updated_at
      title: The Campaign Customer Metadata object
  securitySchemes:
    HttpBasicAuth:
      type: http
      scheme: basic

````